Installare la stampante Brother HL-1112 su Linux Mint 19

Un socio ci ha regalato la sua vecchia stampante laser monocromatica di marca Brother, che:

  • sulla plastica davanti ha la sigla HL-1112
  • sull’etichetta dietro ha la sigla HL-11
  • CUPS identifica come USB HL-1110
  • il sito Brother dice che usa lo stesso driver della HL-1118

Soluzione:

  • scaricare dalla pagina Driver Install Tool ufficiale che a sua volta scaricherà i due pacchetti elencati nella stessa pagina (che quindi NON è necessario scaricare manualmente).
  • estrarlo, renderlo eseguibile e lanciarlo come amministratore:

    gunzip --keep linux-brprinter-installer-2.2.1-1.gz
    chmod +x linux-brprinter-installer-2.2.1-1
    sudo linux-brprinter-installer-2.2.1-1 HL-1112



$ sudo ./linux-brprinter-installer-2.2.1-1 HL-1112
You are going to install following packages.
hl1110lpr-3.0.1-1.i386.deb
hl1110cupswrapper-3.0.1-1.i386.deb
OK? [y/N] -> y
Accettare le licenze e rispondere negativamente alle ultime due domande
Will you specify the Device URI? [Y/n] ->n

Test Print? [y/N] ->

Prima di quelle due domande ci sono dei messaggi da ignorare:

Il pacchetto ia32-libs non ha versioni disponibili, ma è nominato da un altro
pacchetto. Questo potrebbe indicare che il pacchetto è mancante, obsoleto
oppure è disponibile solo all'interno di un'altra sorgente
Tuttavia questi pacchetti lo sostituiscono:
lib32z1


E: Il pacchetto "ia32-libs" non ha candidati da installare
dpkg -x hl1110lpr-3.0.1-1.i386.deb /
dpkg -x hl1110cupswrapper-3.0.1-1.i386.deb /
dpkg-deb: generazione del pacchetto "hl1110lpr" in "hl1110lpr-3.0.1-1a.i386.deb".
dpkg -b ./brother_driver_packdir hl1110lpr-3.0.1-1a.i386.deb
dpkg-deb: generazione del pacchetto "hl1110cupswrapper" in "hl1110cupswrapper-3.0.1-1a.i386.deb".
dpkg -b ./brother_driver_packdir hl1110cupswrapper-3.0.1-1a.i386.deb
dpkg -i --force-all hl1110lpr-3.0.1-1a.i386.deb
Selezionato il pacchetto hl1110lpr:i386 non precedentemente selezionato.
(Lettura del database... 321223 file e directory attualmente installati.)
Preparativi per estrarre hl1110lpr-3.0.1-1a.i386.deb...
Estrazione di hl1110lpr:i386 (3.0.1-1)...
Configurazione di hl1110lpr:i386 (3.0.1-1)...
dpkg -i --force-all hl1110cupswrapper-3.0.1-1a.i386.deb
Selezionato il pacchetto hl1110cupswrapper:i386 non precedentemente selezionato.
(Lettura del database... 321244 file e directory attualmente installati.)
Preparativi per estrarre hl1110cupswrapper-3.0.1-1a.i386.deb...
Estrazione di hl1110cupswrapper:i386 (3.0.1-1)...
Configurazione di hl1110cupswrapper:i386 (3.0.1-1)...
lpadmin -p HL1110 -E -v usb://Brother/HL-1110%20series?serial=C5N554677 -P /usr/share/ppd/brother/brother-HL1110-cups-en.ppd
#

I commenti sono chiusi